/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.mobile.repository.admin;

import com.arrebol.apc.controller.mobile.repository.GenericRepository;
import com.arrebol.apc.model.ModelParameter;
import java.io.Serializable;
import java.util.List;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class StableGeneralBoxRepository extends GenericRepository implements Serializable {

    /**
     *
     * @param hbmQuery
     * @param parameters
     * @return
     * @throws Exception
     */
    public Long countStableGeneralBoxByOfficeEqualsToCurrentDate(String hbmQuery, List<ModelParameter> parameters) throws Exception {
        try {
            return (Long) genericObjectFromEntity(Long.class, hbmQuery, parameters);
        } catch (Exception e) {
            logger.error("countStableGeneralBoxByOfficeEqualsToCurrentDate", e);
            throw e;
        }
    }

    final Logger logger = LogManager.getLogger(getClass());
}
